javax.jdo.listener

## Interface ClearLifecycleListener

- All Superinterfaces:
    InstanceLifecycleListener

      public interface ClearLifecycleListener
      extends InstanceLifecycleListener

  This interface is implemented by listeners to be notified of clear events.
  Since:
    2.0
  Version:
    2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `postClear(InstanceLifecycleEvent event)` This method is called after the `ClearCallback.jdoPreClear()` method is invoked on the instance and the fields have been cleared by the JDO implementation.
    `void` | `preClear(InstanceLifecycleEvent event)` This method is called before the implementation calls the instance method `ClearCallback.jdoPreClear()` and before it clears the values in the instance to their Java default values.

- - ### Method Detail

    - #### preClear

          void preClear(InstanceLifecycleEvent event)

      This method is called before the implementation calls the instance method `ClearCallback.jdoPreClear()` and before it clears the values in the instance to their Java default values. This happens during an application call to evict, and in afterCompletion for commit with RetainValues false and rollback with RestoreValues false.

      The method is called during any state transition to hollow. Non-persistent, non-transactional fields should be cleared in this method. Associations between this instance and others in the runtime environment should be cleared.

      This method is not modified by the enhancer, so access to fields is not mediated.

      Parameters:
        `event` - the clear event.
      Since:
        2.0

    - #### postClear

          void postClear(InstanceLifecycleEvent event)

      This method is called after the `ClearCallback.jdoPreClear()` method is invoked on the instance and the fields have been cleared by the JDO implementation.
      Parameters:
        `event` - the clear event.
      Since:
        2.0

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.